Server Management - Systems Insight Manager
cancel
Showing results for 
Search instead for 
Did you mean: 

HP Systems Insight Manager 7.x - Linux

Rick_189
Occasional Advisor

HP Systems Insight Manager 7.x - Linux

Hi Everyone.

 

Im stuck, I want to monitor my proliant (linux) servers from a windows based machine. When I go to the download area I can't find agents for linux i just find the BIG 1gig installer that is a bin file. How do I get the agents on my linux servers?

 

Thanks, Rick

10 REPLIES
PGTRI
Honored Contributor

Re: HP Systems Insight Manager 7.x - Linux

hi,

 

what's your linux ?

 

regards,

How to Say Thank You? Just click the KUDOS!
Rick_189
Occasional Advisor

Re: HP Systems Insight Manager 7.x - Linux

Centos 5.6 

kkpro
Regular Advisor

Re: HP Systems Insight Manager 7.x - Linux

Hello,

You must install HP SNMP Agents for Red Hat Enterprise Linux 5, found on the server's support page.

Rick_189
Occasional Advisor

Re: HP Systems Insight Manager 7.x - Linux

Problem

 

/etc/init.d/hp-snmp-agents restart
Already stopped NIC Agent Daemon (cmanicd): OK 
Already stopped Storage Event Logger (cmaeventd): OK 
Already stopped FCA agent (cmafcad): OK 
Already stopped SAS agent (cmasasd): OK 
Already stopped IDA agent (cmaidad): OK 
Already stopped IDE agent (cmaided): OK 
Already stopped SCSI agent (cmascsid): OK 
Already stopped Health agent (cmahealthd): OK 
Already stopped Standard Equipment agent (cmastdeqd): OK 
Already stopped Host agent (cmahostd): OK 
Already stopped Threshold agent (cmathreshd): OK 
Already stopped RIB agent (cmasm2d): OK 
Already stopped Performance agent (cmaperfd): OK 
Already stopped SNMP Peer (cmapeerd): OK 
Trying to identify the Product Name... Done
Using Proliant Standard
IPMI based 1XX System Health Monitor

****

Warning: hp-OpenIPMI is not supported on this platform.
hp-OpenIPMI will not be used. It is safe to uninstall hp-OpenIPMI.
On RPM-based systems, you can remove hp-OpenIPMI by running:
'rpm -e hp-OpenIPMI'

****

Using standard Linux IPMI device driver
PCI BIOS is not detected!
Something went wrong
Starting Proliant Standard
IPMI based 1XX System Health Monitor (hpasmpld) FAILED

cstoh
Frequent Visitor

Re: HP Systems Insight Manager 7.x - Linux

Hi,

I'm hitting errors when installing the insight manager agent. appreciate if anyone can enlight me. Thanks.

errors as follow:

Preparing...                ########################################### [100%]
   1:hp-OpenIPMI            ########################################### [100%]
Please read the Licence Agreement for this software at

         /opt/hp/hp-OpenIPMI/COPYING
                       and
         /opt/hp/hp-OpenIPMI/hp-OpenIPMI.license

By not removing this package, you are accepting the terms
of the included licenses.

The man page, hp-OpenIPMI(4), describes how to enable and use
the hp-OpenIPMI device drivers.
[root@bkup2mas2b hp_sim]# rpm -ivh hp-health-9.30-1564.48.rhel6.x86_64.rpm
warning: hp-health-9.30-1564.48.rhel6.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 2689b887
error: Failed dependencies:
        libc.so.6(GLIBC_2.7)(64bit) is needed by hp-health-9.30-1564.48.rhel6.x86_64
        rpmlib(FileDigests) <= 4.6.0-1 is needed by hp-health-9.30-1564.48.rhel6.x86_64
        rpmlib(PayloadIsXz) <= 5.2-1 is needed by hp-health-9.30-1564.48.rhel6.x86_64

 

warning: hp-snmp-agents-9.30-2412.33.rhel6.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 2689b887
error: Failed dependencies:
        hp-health >= 9.1.0 is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libc.so.6(GLIBC_2.7)(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libcpqci64.so.3()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libcrypto.so.10()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libhpasmintrfc64.so.3()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libhpev64.so.1()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libnetsnmp.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libnetsnmpagent.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libnetsnmphelpers.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libnetsnmpmibs.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        libsnmp.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        rpmlib(FileDigests) <= 4.6.0-1 is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
        rpmlib(PayloadIsXz) <= 5.2-1 is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64

 

 

 

dajdza
Advisor

Re: HP Systems Insight Manager 7.x - Linux

hi, what OS you got?

cstoh
Frequent Visitor

Re: HP Systems Insight Manager 7.x - Linux

Hi,

my OS is redhat Linux 6

cstoh
Frequent Visitor

Re: HP Systems Insight Manager 7.x - Linux

Hi all,
would appreciate if someone can help me out on this.
I'm hitting errors when installing the insight manager agent. appreciate if anyone can enlight me. Thanks.
OS is Linux 2.6.18-308.el5

errors as follow:

Preparing... ########################################### [100%]
1:hp-OpenIPMI ########################################### [100%]
Please read the Licence Agreement for this software at

/opt/hp/hp-OpenIPMI/COPYING
and
/opt/hp/hp-OpenIPMI/hp-OpenIPMI.license

By not removing this package, you are accepting the terms
of the included licenses.

The man page, hp-OpenIPMI(4), describes how to enable and use
the hp-OpenIPMI device drivers.
[root@bkup2mas2b hp_sim]# rpm -ivh hp-health-9.30-1564.48.rhel6.x86_64.rpm
warning: hp-health-9.30-1564.48.rhel6.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 2689b887
error: Failed dependencies:
libc.so.6(GLIBC_2.7)(64bit) is needed by hp-health-9.30-1564.48.rhel6.x86_64
rpmlib(FileDigests) <= 4.6.0-1 is needed by hp-health-9.30-1564.48.rhel6.x86_64
rpmlib(PayloadIsXz) <= 5.2-1 is needed by hp-health-9.30-1564.48.rhel6.x86_64



warning: hp-snmp-agents-9.30-2412.33.rhel6.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 2689b887
error: Failed dependencies:
hp-health >= 9.1.0 is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libc.so.6(GLIBC_2.7)(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libcpqci64.so.3()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libcrypto.so.10()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libhpasmintrfc64.so.3()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libhpev64.so.1()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libnetsnmp.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libnetsnmpagent.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libnetsnmphelpers.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libnetsnmpmibs.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
libsnmp.so.20()(64bit) is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
rpmlib(FileDigests) <= 4.6.0-1 is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64
rpmlib(PayloadIsXz) <= 5.2-1 is needed by hp-snmp-agents-9.30-2412.33.rhel6.x86_64

dajdza
Advisor

Re: HP Systems Insight Manager 7.x - Linux

Hi, i´m not a hp sim pro but it would maybe help if you could make a short summary what you did until you get to this problem?

 

Did you install all requirement software pakets?

 

Did you proced your installation step by step throug the manual?

LGentile
Trusted Contributor

Re: HP Systems Insight Manager 7.x - Linux

You may wish to contact support before deploying Linux agents to all your clients. We struggled quite a bit with Linux agents and our SIM expert (from HP) basically told us we only need 4 packages installed for proper hardware management. They would be:

- HP SNMP Agents
- HP SMH
- HP SMH Templates
- HP-Health

Also, we had to make some adjustments to the snmpd.conf file to add specific view parameters so the SMH would work correctly and forward information to SIM. I can't provide too many details since I didn't work on our Linux stuff directly, but i wanted to let you know it was not an easy process and we ended up removing all agent components and only installing the 4 I mentioned. It's much cleaner and works well now. We are mostly RHEL 5 and 6 right now.